<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CPOD
{
    /**
     * @var string
     */
    private $number;

    /**
     * @var string
     */
    private $file_pdf;

    public function getNumber(): string
    {
        return $this->number;
    }

    public function withNumber(string $number): CPOD
    {
        $new = clone $this;
        $new->number = $number;

        return $new;
    }

    public function getFile_pdf(): string
    {
        return $this->file_pdf;
    }

    public function withFile_pdf(string $file_pdf): CPOD
    {
        $new = clone $this;
        $new->file_pdf = $file_pdf;

        return $new;
    }
}
